Subject: Re: [PATCH net-next] netdevice: define and allocate &net_device _properly_

From: Breno Leitao <[email-masked]>
Date: Fri, 14 Jun 2024 05:00:54 -0700

On Wed, May 08, 2024 at 11:13:21AM +0200, Alexander Lobakin wrote:
> From: Jakub Kicinski <[email-masked]>
> Date: Tue, 7 May 2024 11:10:35 -0700
> 
> > On Tue,  7 May 2024 14:39:37 +0200 Alexander Lobakin wrote:
> >> There are several instances of the structure embedded into other
> >> structures, but also there's ongoing effort to remove them and we
> >> could in the meantime declare &net_device properly.
> > 
> > Is there a reason you're reposting this before that effort is completed?
> 
> To speed up the conversion probably :D
> 
> > The warnings this adds come from sparse and you think they should be
> > ignored?
> 
> For now...
> 
> > 
> > TBH since Breno is doing the heavy lifting of changing the embedders 
> > it'd seem more fair to me if he got to send this at the end. Or at
> > least, you know, got a mention or a CC.
> 
> I was lazy enough to add tags, sorry. The idea of him sending this at
> the end sounds reasonable.

I think we are almost at the time to get rid of the last user of
embedded netdev.

	https://lore.kernel.org/all/[email-masked]/

Once that patch lands, I will submit this patch on top of that final
fix.

Let me know if you have any concern.

--breno